Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr
Class Position

    java.lang.Object
      org.apache.fop.layoutmgr.Position

Direct Known Subclasses:
  BlockStackingLayoutManager.MappingPosition, LeafPosition, NonLeafPosition, SpaceResolver.SpaceHandlingBreakPosition, SpaceResolver.SpaceHandlingPosition

public class Position
extends java.lang.Object

Constructor Summary
`Position(LayoutManager lm)`
`Position(LayoutManager lm, int index)`

Method Summary
`boolean` | `generatesAreas()`
`int` | `getIndex()` Returns the index of this position in the sequence of Position elements.
`LayoutManager` | `getLM()`
`Position` | `getPosition()` Overridden by NonLeafPosition to return the Position of its child LM.
`java.lang.String` | `getShortLMName()`
`void` | `setIndex(int value)` Sets the index of this position in the sequence of Position elements.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Position

    public Position(LayoutManager lm)

### Position

    public Position(LayoutManager lm,
                    int index)

Method Detail

### getLM

    public LayoutManager getLM()

### getPosition

    public Position getPosition()

  Overridden by NonLeafPosition to return the Position of its child LM.

### generatesAreas

    public boolean generatesAreas()

### setIndex

    public void setIndex(int value)

  Sets the index of this position in the sequence of Position elements.

  Parameters:
    `value` - this position's index

### getIndex

    public int getIndex()

  Returns the index of this position in the sequence of Position elements.

  Returns:
    the index of this position in the sequence of Position elements

### getShortLMName

    public java.lang.String getShortLMName()

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.